Queue inference items
curl --request POST \
--url https://biohub.ai/api/v1/batch/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endpoint": "fold_max_accuracy",
"payload": [
{
"model": "esmfold2-2026-05-cutoff-2025",
"all_atom_input": {
"sequences": [
{
"id": "A",
"type": "protein",
"sequence": "MKTAYIAKQRQISFVKSHFSRQLEERLGLIEVQ"
}
]
},
"include_pae": true
}
]
}
'import requests
url = "https://biohub.ai/api/v1/batch/submit"
payload = {
"endpoint": "fold_max_accuracy",
"payload": [
{
"model": "esmfold2-2026-05-cutoff-2025",
"all_atom_input": { "sequences": [
{
"id": "A",
"type": "protein",
"sequence": "MKTAYIAKQRQISFVKSHFSRQLEERLGLIEVQ"
}
] },
"include_pae": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
endpoint: 'fold_max_accuracy',
payload: [
{
model: 'esmfold2-2026-05-cutoff-2025',
all_atom_input: {
sequences: [{id: 'A', type: 'protein', sequence: 'MKTAYIAKQRQISFVKSHFSRQLEERLGLIEVQ'}]
},
include_pae: true
}
]
})
};
fetch('https://biohub.ai/api/v1/batch/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"message": "<string>",
"batch_id": "<string>",
"total_items": 123,
"task_id": "<string>"
},
"request_id": "<string>"
}{
"status": "error",
"message": "<string>",
"request_id": "<string>",
"results_expire_at": "2023-11-07T05:31:56Z"
}{
"status": "error",
"message": "<string>",
"request_id": "<string>",
"results_expire_at": "2023-11-07T05:31:56Z"
}{
"status": "error",
"message": "<string>",
"request_id": "<string>",
"results_expire_at": "2023-11-07T05:31:56Z"
}{
"status": "error",
"message": "<string>",
"request_id": "<string>",
"results_expire_at": "2023-11-07T05:31:56Z"
}Batch API
batch_submit
Queue inference and receive a batch ID.
POST
/
api
/
v1
/
batch
/
submit
Queue inference items
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Run maximum-accuracy folding asynchronously.
Available options:
fold_max_accuracy One or more inputs. Payload length times repeat must not exceed 2000.
Required array length:
1 - 2000 elementsShow child attributes
Show child attributes
Run each input this many times. Payload length times repeat must not exceed 2000.
Required range:
1 <= x <= 2000